StarPU Internal Handbook

Data Structures | Enumerations | Functions
copy_driver.h File Reference
`#include <common/config.h>`
`#include <common/list.h>`
`#include <cuda.h>`
`#include <cuda_runtime.h>`
`#include <starpu_opencl.h>`

Go to the source code of this file.

## Data Structures
struct | _starpu_mic_async_event
struct | _starpu_disk_backend_event
struct | _starpu_disk_async_event
union | _starpu_async_channel_event
struct | _starpu_async_channel
struct | _starpu_async_channel_event.__unnamed1__

## Enumerations
enum | _starpu_is_prefetch { STARPU_FETCH , STARPU_PREFETCH , STARPU_IDLEFETCH , STARPU_NFETCH }

## Functions
void | _starpu_wake_all_blocked_workers_on_node (unsigned nodeid)
int | _starpu_driver_copy_data_1_to_1 (starpu_data_handle_t handle, struct _starpu_data_replicate *src_replicate, struct _starpu_data_replicate *dst_replicate, unsigned donotread, struct _starpu_data_request *req, unsigned may_alloc, enum _starpu_is_prefetch prefetch)
unsigned | _starpu_driver_test_request_completion (struct _starpu_async_channel *async_channel)
void | _starpu_driver_wait_request_completion (struct _starpu_async_channel *async_channel)

## Data Structure Documentation

## ◆ _starpu_mic_async_event

struct _starpu_mic_async_event

MIC needs memory_node to know which MIC is concerned. mark is used to wait asynchronous request. signal is used to test asynchronous request.

Data Fields
unsigned | memory_node |
int | mark |
uint64_t * | signal |

## ◆ _starpu_disk_backend_event

struct _starpu_disk_backend_event

Data Fields
void * | backend_event |

## ◆ _starpu_disk_async_event

struct _starpu_disk_async_event

Data Fields
unsigned | memory_node |
struct _starpu_disk_backend_event_list * | requests |
void * | ptr |
unsigned | node |
size_t | size |
starpu_data_handle_t | handle |

## ◆ _starpu_async_channel_event

union _starpu_async_channel_event

this is a structure that can be queried to see whether an asynchronous transfer has terminated or not

Data Fields
struct _starpu_async_channel_event.__unnamed1__ | __unnamed__ |
cudaEvent_t | cuda_event |
cl_event | opencl_event |
struct _starpu_mic_async_event | mic_event |
struct _starpu_disk_async_event | disk_event |

## ◆ _starpu_async_channel

struct _starpu_async_channel

Data Fields
union _starpu_async_channel_event | event |
struct _starpu_node_ops * | node_ops |
struct _starpu_mp_node * | polling_node_sender | Which node to polling when needing ACK msg
struct _starpu_mp_node * | polling_node_receiver |
volatile int | starpu_mp_common_finished_sender | Used to know if the acknowlegdment msg is arrived from sinks
volatile int | starpu_mp_common_finished_receiver |

## ◆ _starpu_async_channel_event.__unnamed1__

struct _starpu_async_channel_event.__unnamed1__

Data Fields
unsigned | finished |
starpu_pthread_queue_t * | queue |

## Enumeration Type Documentation

## ◆ _starpu_is_prefetch

enum _starpu_is_prefetch

Enumerator
STARPU_FETCH | A task really needs it now!
STARPU_PREFETCH | It is a good idea to have it asap
STARPU_IDLEFETCH | Get this here when you have time to